Loading...
Searching...
No Matches
BALL::NMRStarFile::MolecularSystem Class Reference

`#include <BALL/FORMAT/NMRStarFile.h>`

## Classes

class | RelatedDB
class | ChemicalUnit

## Public Member Functions

| MolecularSystem ()
| ~MolecularSystem ()
ChemicalUnit const & | getChemicalUnit (Position i) const
ChemicalUnit & | getChemicalUnit (Position i)
Size | getNumberOfChemicalUnits () const
std::ostream & | operator>> (std::ostream &s)
| ligand information //TODO
void | clear ()

## Public Attributes

String | system_name
String | abbreviation_common
vector< ChemicalUnit > | chemical_units
String | system_physical_state
String | system_oligomer_state
String | system_paramagnetic
String | system_thiol_state
float | system_molecular_weight
| The systems molecular weigth in dalton.
vector< RelatedDB > | related_database_entries

## Detailed Description

Molecular System This class includes all system relevant information. All members are public for easy access.

Definition at line 361 of file NMRStarFile.h.

## Constructor & Destructor Documentation

## MolecularSystem()

BALL::NMRStarFile::MolecularSystem::MolecularSystem | ( |  | ) |

## ~MolecularSystem()

BALL::NMRStarFile::MolecularSystem::~MolecularSystem | ( |  | ) |

## Member Function Documentation

## clear()

void BALL::NMRStarFile::MolecularSystem::clear | ( |  | ) |

## getChemicalUnit() [1/2]

ChemicalUnit & BALL::NMRStarFile::MolecularSystem::getChemicalUnit | ( | Position | i | ) |

inline

Definition at line 400 of file NMRStarFile.h.

## getChemicalUnit() [2/2]

ChemicalUnit const & BALL::NMRStarFile::MolecularSystem::getChemicalUnit | ( | Position | i | ) | const

inline

Definition at line 399 of file NMRStarFile.h.

## getNumberOfChemicalUnits()

Size BALL::NMRStarFile::MolecularSystem::getNumberOfChemicalUnits | ( |  | ) | const

inline

Definition at line 402 of file NMRStarFile.h.

## operator>>()

std::ostream & BALL::NMRStarFile::MolecularSystem::operator>> | ( | std::ostream & | s | ) |

ligand information //TODO

## Member Data Documentation

## abbreviation_common

String BALL::NMRStarFile::MolecularSystem::abbreviation_common

Definition at line 406 of file NMRStarFile.h.

## chemical_units

vector<ChemicalUnit> BALL::NMRStarFile::MolecularSystem::chemical_units

Definition at line 407 of file NMRStarFile.h.

## related_database_entries

vector<RelatedDB> BALL::NMRStarFile::MolecularSystem::related_database_entries

Definition at line 415 of file NMRStarFile.h.

## system_molecular_weight

float BALL::NMRStarFile::MolecularSystem::system_molecular_weight

The systems molecular weigth in dalton.

Definition at line 413 of file NMRStarFile.h.

## system_name

String BALL::NMRStarFile::MolecularSystem::system_name

Definition at line 405 of file NMRStarFile.h.

## system_oligomer_state

String BALL::NMRStarFile::MolecularSystem::system_oligomer_state

Definition at line 409 of file NMRStarFile.h.

## system_paramagnetic

String BALL::NMRStarFile::MolecularSystem::system_paramagnetic

Definition at line 410 of file NMRStarFile.h.

## system_physical_state

String BALL::NMRStarFile::MolecularSystem::system_physical_state

Definition at line 408 of file NMRStarFile.h.

## system_thiol_state

String BALL::NMRStarFile::MolecularSystem::system_thiol_state

Definition at line 411 of file NMRStarFile.h.